diff --git a/puppy-unleashed/packages/Axel-2.3-Puppydownload/usr/local/bin/puppydownload b/puppy-unleashed/packages/Axel-2.3-Puppydownload/usr/local/bin/puppydownload
index 0dd5d32..64c9625 100755
--- a/puppy-unleashed/packages/Axel-2.3-Puppydownload/usr/local/bin/puppydownload
+++ b/puppy-unleashed/packages/Axel-2.3-Puppydownload/usr/local/bin/puppydownload
@@ -45,7 +45,7 @@ if [ ! $? -eq 0 ];then
  exit
 fi
 
- DESTDIR="`Xdialog --wmclass "puppyaxel" --title "Choose destination directory:" --wizard --no-cancel --help "if you leave the Selection field blank, the destination filename\nwill be the same as the source filename.\nOtherwise, type in the new name for the downloaded file." --stdout --dselect "/root/" 0 0 `"
+ DESTDIR="`Xdialog --wmclass "puppyaxel" --title "Choose destination directory:" --wizard --no-cancel --help "if you leave the Selection field blank, the destination filename\nwill be the same as the source filename.\nOtherwise, type in the new name for the downloaded file." --stdout --dselect "${HOME}/" 0 0 `"
 
  RETVAL=$?
  #note, returns 3 if "previous" button clicked.
diff --git a/puppy-unleashed/packages/Pawdioconverter-1.2-v1/usr/local/apps/Media/PawdioConverter/pawdioconverter b/puppy-unleashed/packages/Pawdioconverter-1.2-v1/usr/local/apps/Media/PawdioConverter/pawdioconverter
index 65ef936..9133dfd 100755
--- a/puppy-unleashed/packages/Pawdioconverter-1.2-v1/usr/local/apps/Media/PawdioConverter/pawdioconverter
+++ b/puppy-unleashed/packages/Pawdioconverter-1.2-v1/usr/local/apps/Media/PawdioConverter/pawdioconverter
@@ -22,7 +22,7 @@ fi
 BASE=`getdir $0`
 cd "$BASE"
 
-### the next step converts ./ to a full path like /root/test
+### the next step converts ./ to a full path like ${HOME}/test
 
 BASE=`pwd`
 cd "$BASE"
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/etc/init.d/shareInternet b/puppy-unleashed/packages/ShareInternet-1.4/etc/init.d/shareInternet
index d70e5c0..f603500 100755
--- a/puppy-unleashed/packages/ShareInternet-1.4/etc/init.d/shareInternet
+++ b/puppy-unleashed/packages/ShareInternet-1.4/etc/init.d/shareInternet
@@ -3,8 +3,8 @@
 # Start or stop cleanup for shareInternet, based upon the first argument to the script.
 #
 
-if [ -f /root/.shareInternet/share.conf ]; then
-	. /root/.shareInternet/share.conf
+if [ -f ${HOME}/.shareInternet/share.conf ]; then
+	. ${HOME}/.shareInternet/share.conf
 fi
 
 case $1 in
@@ -13,10 +13,10 @@ case $1 in
 		;;
 
 	stop)
-		if [ -f /root/.shareInternet/flagFiles/sharingup.txt ]; then
+		if [ -f ${HOME}/.shareInternet/flagFiles/sharingup.txt ]; then
 			[ -x /usr/local/shareInternet/shareInternet ] && /usr/local/shareInternet/shareInternet stop
 		fi
-		[ -d /root/.shareInternet/flagFiles ] && rm -f /root/.shareInternet/flagFiles/*
+		[ -d ${HOME}/.shareInternet/flagFiles ] && rm -f ${HOME}/.shareInternet/flagFiles/*
 		;;
 
 	*)
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/configFw b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/configFw
index a9e9b21..029ec6a 100755
--- a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/configFw
+++ b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/configFw
@@ -8,9 +8,9 @@ while [ -L "$APPDIR" ]; do
 done
 APPDIR="${APPDIR%\/*}"
 
-[ -f /root/.shareInternet/share.conf ] || "$APPDIR/firstTime"
+[ -f ${HOME}/.shareInternet/share.conf ] || "$APPDIR/firstTime"
 
-. /root/.shareInternet/share.conf
+. ${HOME}/.shareInternet/share.conf
 
 if [ "$INFO_BROWSER" == "" ]; then
 	INFO_BROWSER="`which bareview`"
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/firstTime b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/firstTime
index 7d8a31c..1b538c6 100755
--- a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/firstTime
+++ b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/firstTime
@@ -3,12 +3,12 @@
 APPDIR="$0"
 APPDIR="${APPDIR%\/*}"
 
-[ -d /root/.shareInternet ] || mkdir /root/.shareInternet
-[ -d /root/.shareInternet/configs ] || cp -r "$APPDIR/home/configs" /root/.shareInternet/
-[ -d /root/.shareInternet/flagFiles ] || cp -r "$APPDIR/home/flagFiles" /root/.shareInternet/
-[ -f /root/.shareInternet/share.conf ] || cp "$APPDIR/home/share.conf" /root/.shareInternet/
-[ -f /root/.shareInternet/dnsmasq.conf ] || cp "$APPDIR/home/dnsmasq.conf" /root/.shareInternet/
-[ -f /root/.shareInternet/firewall.sh ] || cp "$APPDIR/home/firewall.sh" /root/.shareInternet/
-[ -f /root/.shareInternet/iptablesExtraRules ] || cp "$APPDIR/home/iptablesExtraRules" /root/.shareInternet/
+[ -d ${HOME}/.shareInternet ] || mkdir ${HOME}/.shareInternet
+[ -d ${HOME}/.shareInternet/configs ] || cp -r "$APPDIR/home/configs" ${HOME}/.shareInternet/
+[ -d ${HOME}/.shareInternet/flagFiles ] || cp -r "$APPDIR/home/flagFiles" ${HOME}/.shareInternet/
+[ -f ${HOME}/.shareInternet/share.conf ] || cp "$APPDIR/home/share.conf" ${HOME}/.shareInternet/
+[ -f ${HOME}/.shareInternet/dnsmasq.conf ] || cp "$APPDIR/home/dnsmasq.conf" ${HOME}/.shareInternet/
+[ -f ${HOME}/.shareInternet/firewall.sh ] || cp "$APPDIR/home/firewall.sh" ${HOME}/.shareInternet/
+[ -f ${HOME}/.shareInternet/iptablesExtraRules ] || cp "$APPDIR/home/iptablesExtraRules" ${HOME}/.shareInternet/
 
 exit 0
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/getCurFwCfg b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/getCurFwCfg
index 9fd072a..028dc4d 100755
--- a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/getCurFwCfg
+++ b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/getCurFwCfg
@@ -1,7 +1,7 @@
 #!/bin/bash
 #Alan Agnew 2008 GPL
 
-. /root/.shareInternet/firewall.sh
+. ${HOME}/.shareInternet/firewall.sh
 echo "$INTERFACES"
 
 exit 0
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/getFwCfgs b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/getFwCfgs
index 5e3714e..6c60e69 100755
--- a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/getFwCfgs
+++ b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/getFwCfgs
@@ -1,7 +1,7 @@
 #!/bin/bash
 #Alan Agnew 2008 GPL
 
-. /root/.shareInternet/share.conf
+. ${HOME}/.shareInternet/share.conf
 
 for XFN in `ls $STORDIR`; do
 	XFN=${XFN%.*}
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/home/share.conf b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/home/share.conf
index 2405280..88f8295 100644
--- a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/home/share.conf
+++ b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/home/share.conf
@@ -1,12 +1,12 @@
-STORDIR="/root/.shareInternet/configs"
-ROXDIR="/root/my-roxapps/shareInternet"
+STORDIR="${HOME}/.shareInternet/configs"
+ROXDIR="${HOME}/my-roxapps/shareInternet"
 
 # This sets the width of the lists in the main config dialog
 CFG_TREE_WIDTH="260"
 # This sets the width of the lists in the choose interface dialog
 CHI_TREE_WIDTH="200"
 
-# To log errors to "/root/shareInternetErrors.txt" instead of being displayed,
+# To log errors to "${HOME}/shareInternetErrors.txt" instead of being displayed,
 # uncomment the following line
 #LOG_ERRORS="yes"
 
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/installFwCfg b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/installFwCfg
index 8f4a698..1c7db93 100755
--- a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/installFwCfg
+++ b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/installFwCfg
@@ -26,6 +26,6 @@ if [ "$FWCFG" == "" ]; then
 	exit 1
 fi
 
-echo "INTERFACES=\"$FWCFG\"" > /root/.shareInternet/firewall.sh
+echo "INTERFACES=\"$FWCFG\"" > ${HOME}/.shareInternet/firewall.sh
 
 exit 0
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/newFwCfg b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/newFwCfg
index 1943d4c..2ccae4f 100755
--- a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/newFwCfg
+++ b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/newFwCfg
@@ -4,7 +4,7 @@
 APPDIR="$0"
 APPDIR="${APPDIR%\/*}"
 
-. /root/.shareInternet/share.conf
+. ${HOME}/.shareInternet/share.conf
 
 error() {
 	export ERROR_DIALOG="
@@ -105,7 +105,7 @@ if [ "$UPDEV" != "" ]; then
 	echo "DYNAMIC_INTERFACES=\"$UPDEV\"" > "$CFGFN"
 	echo "INTERNAL_INTERFACES=\"$DDEVS\"" >> "$CFGFN"
 	echo "XD=\"$XDU$XDD\"" >> "$CFGFN"
-	echo "INTERFACES=\"${UPDEV}_${DDEVS%% *}\"" > /root/.shareInternet/firewall.sh
+	echo "INTERFACES=\"${UPDEV}_${DDEVS%% *}\"" > ${HOME}/.shareInternet/firewall.sh
 fi
 
 exit 0
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/removeFwCfg b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/removeFwCfg
index 59bb727..7929642 100755
--- a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/removeFwCfg
+++ b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/removeFwCfg
@@ -4,7 +4,7 @@
 APPDIR="$0"
 APPDIR="${APPDIR%\/*}"
 
-. /root/.shareInternet/share.conf
+. ${HOME}/.shareInternet/share.conf
 
 error() {
 	export ERROR_DIALOG="
@@ -34,7 +34,7 @@ fi
 if [ "$FWCFG" == "`$APPDIR/getCurFwCfg`" ]; then
 #	error "'$FWCFG' is the Current Firewall config, not removed."
 #	exit 2
-	echo "INTERFACES=\"\"" > /root/.shareInternet/firewall.sh
+	echo "INTERFACES=\"\"" > ${HOME}/.shareInternet/firewall.sh
 
 fi
 
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/shareInternet b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/shareInternet
index dabd310..708c992 100755
--- a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/shareInternet
+++ b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/shareInternet
@@ -7,13 +7,13 @@ while [ -L "$APPDIR" ]; do
 done
 APPDIR="${APPDIR%\/*}"
 
-[ -f /root/.shareInternet/share.conf ] || "$APPDIR/firstTime"
+[ -f ${HOME}/.shareInternet/share.conf ] || "$APPDIR/firstTime"
 
-. /root/.shareInternet/share.conf
-. /root/.shareInternet/dnsmasq.conf
-. /root/.shareInternet/firewall.sh
+. ${HOME}/.shareInternet/share.conf
+. ${HOME}/.shareInternet/dnsmasq.conf
+. ${HOME}/.shareInternet/firewall.sh
 
-[ "$LOG_ERRORS" == "yes" ] && touch /root/.shareInternet/flagFiles/logErrors.txt
+[ "$LOG_ERRORS" == "yes" ] && touch ${HOME}/.shareInternet/flagFiles/logErrors.txt
 
 error() {
 	export ERROR_DIALOG="
@@ -32,8 +32,8 @@ error() {
 	</vbox>
 	</window>
 	"
-	if [ -f /root/.shareInternet/flagFiles/logErrors.txt ]; then
-		echo "$1" >> /root/shareInternetErrors.txt
+	if [ -f ${HOME}/.shareInternet/flagFiles/logErrors.txt ]; then
+		echo "$1" >> ${HOME}/shareInternetErrors.txt
 	else
 		gtkdialog3 --program=ERROR_DIALOG --center
 	fi
@@ -41,7 +41,7 @@ error() {
 
 case $1 in
 	start)
-		[ -f /root/shareInternetErrors.txt ] && rm /root/shareInternetErrors.txt
+		[ -f ${HOME}/shareInternetErrors.txt ] && rm ${HOME}/shareInternetErrors.txt
 
 		X_REAL_IFCES=""
 		X_RI_COUNT=0
@@ -67,10 +67,10 @@ case $1 in
 					[ "$X_CFG" == "" ] && [ "$XONE" == "$X_CF2" ] && X_CFG="$XONE"
 				done
 				if [ "$X_CFG" != "" ]; then
-					echo "INTERFACES=\"$X_CFG\"" > /root/.shareInternet/firewall.sh
+					echo "INTERFACES=\"$X_CFG\"" > ${HOME}/.shareInternet/firewall.sh
 				else
 					"$APPDIR/newFwCfg"
-					X_CFG="`grep INTERFACES /root/.shareInternet/firewall.sh`"
+					X_CFG="`grep INTERFACES ${HOME}/.shareInternet/firewall.sh`"
 					X_CFG=${X_CFG#*\"}
 					X_CFG=${X_CFG%\"*}
 				fi
@@ -105,18 +105,18 @@ case $1 in
 		XINIP=${XINIP#*:}
 		XINIP=${XINIP%% *}
 		[ -x /etc/rc.d/rc.firewall ] && /etc/rc.d/rc.firewall start
-		[ -x /root/.shareInternet/iptablesExtraRules ] && /root/.shareInternet/iptablesExtraRules
+		[ -x ${HOME}/.shareInternet/iptablesExtraRules ] && ${HOME}/.shareInternet/iptablesExtraRules
 		XNET=${XINIP%.*}
 		[ -f /etc/dnsmasq.conf ] && dnsmasq -i "$XINIFCE" -F "$XNET.$DHCP_START,$XNET.$DHCP_END,$DHCP_TIME"
 
-		touch /root/.shareInternet/flagFiles/sharingup.txt
+		touch ${HOME}/.shareInternet/flagFiles/sharingup.txt
 		cp -d -f "$ROXDIR/up.png" "$ROXDIR/.DirIcon"
 		rox -x "$ROXDIR"
 		;;
 
 	stop)
-		rm -f /root/.shareInternet/flagFiles/sharingup.txt
-		rm -f /root/.shareInternet/flagFiles/logErrors.txt
+		rm -f ${HOME}/.shareInternet/flagFiles/sharingup.txt
+		rm -f ${HOME}/.shareInternet/flagFiles/logErrors.txt
 		
 		killall dnsmasq
 		[ -x /etc/rc.d/rc.firewall ] && /etc/rc.d/rc.firewall stop
diff --git a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/startAtBoot b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/startAtBoot
index ad20e69..4133f0c 100755
--- a/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/startAtBoot
+++ b/puppy-unleashed/packages/ShareInternet-1.4/usr/local/shareInternet/startAtBoot
@@ -6,8 +6,8 @@ while [ -L "$APPDIR" ]; do
 done
 APPDIR="${APPDIR%\/*}"
 
-if [ -f /root/.shareInternet/share.conf ]; then
-	. /root/.shareInternet/share.conf
+if [ -f ${HOME}/.shareInternet/share.conf ]; then
+	. ${HOME}/.shareInternet/share.conf
 	if [ "$BOOT_AS_ROUTER" == "yes" ]; then
 		[ "$BOOT_DELAY" != "" ] && sleep $BOOT_DELAY
 		"$APPDIR/shareInternet" start
diff --git a/puppy-unleashed/packages/axel-1.0a/usr/local/bin/puppydownload b/puppy-unleashed/packages/axel-1.0a/usr/local/bin/puppydownload
index 58d0a81..6d2afe8 100755
--- a/puppy-unleashed/packages/axel-1.0a/usr/local/bin/puppydownload
+++ b/puppy-unleashed/packages/axel-1.0a/usr/local/bin/puppydownload
@@ -45,7 +45,7 @@ if [ ! $? -eq 0 ];then
  exit
 fi
 
- DESTDIR="`Xdialog --wmclass "puppyaxel" --title "Choose destination directory:" --wizard --no-cancel --help "if you leave the Selection field blank, the destination filename\nwill be the same as the source filename.\nOtherwise, type in the new name for the downloaded file." --stdout --dselect "/root/" 0 0 `"
+ DESTDIR="`Xdialog --wmclass "puppyaxel" --title "Choose destination directory:" --wizard --no-cancel --help "if you leave the Selection field blank, the destination filename\nwill be the same as the source filename.\nOtherwise, type in the new name for the downloaded file." --stdout --dselect "${HOME}/" 0 0 `"
 
  RETVAL=$?
  #note, returns 3 if "previous" button clicked.
diff --git a/puppy-unleashed/packages/axel-2.3/usr/local/bin/puppydownload b/puppy-unleashed/packages/axel-2.3/usr/local/bin/puppydownload
index 58d0a81..6d2afe8 100755
--- a/puppy-unleashed/packages/axel-2.3/usr/local/bin/puppydownload
+++ b/puppy-unleashed/packages/axel-2.3/usr/local/bin/puppydownload
@@ -45,7 +45,7 @@ if [ ! $? -eq 0 ];then
  exit
 fi
 
- DESTDIR="`Xdialog --wmclass "puppyaxel" --title "Choose destination directory:" --wizard --no-cancel --help "if you leave the Selection field blank, the destination filename\nwill be the same as the source filename.\nOtherwise, type in the new name for the downloaded file." --stdout --dselect "/root/" 0 0 `"
+ DESTDIR="`Xdialog --wmclass "puppyaxel" --title "Choose destination directory:" --wizard --no-cancel --help "if you leave the Selection field blank, the destination filename\nwill be the same as the source filename.\nOtherwise, type in the new name for the downloaded file." --stdout --dselect "${HOME}/" 0 0 `"
 
  RETVAL=$?
  #note, returns 3 if "previous" button clicked.
diff --git a/puppy-unleashed/packages/chmsee-1.0.0-1/usr/bin/chmseeshell b/puppy-unleashed/packages/chmsee-1.0.0-1/usr/bin/chmseeshell
index 4218c5a..0a554ef 100755
--- a/puppy-unleashed/packages/chmsee-1.0.0-1/usr/bin/chmseeshell
+++ b/puppy-unleashed/packages/chmsee-1.0.0-1/usr/bin/chmseeshell
@@ -5,4 +5,4 @@
 
 chmsee
 
-rm -rf /root/.chmsee/bookshelf/*
+rm -rf ${HOME}/.chmsee/bookshelf/*
diff --git a/puppy-unleashed/packages/chmsee-1.0.0/usr/bin/chmseeshell b/puppy-unleashed/packages/chmsee-1.0.0/usr/bin/chmseeshell
index 156b010..a9f1933 100755
--- a/puppy-unleashed/packages/chmsee-1.0.0/usr/bin/chmseeshell
+++ b/puppy-unleashed/packages/chmsee-1.0.0/usr/bin/chmseeshell
@@ -4,4 +4,4 @@
 
 chmsee "$@"
 
-rm -rf /root/.chmsee/bookshelf/*
+rm -rf ${HOME}/.chmsee/bookshelf/*
diff --git a/puppy-unleashed/packages/didiwiki-0.5-5.1-pup1/usr/sbin/didiwiki-gui b/puppy-unleashed/packages/didiwiki-0.5-5.1-pup1/usr/sbin/didiwiki-gui
index 9730bc8..e5ecb3e 100755
--- a/puppy-unleashed/packages/didiwiki-0.5-5.1-pup1/usr/sbin/didiwiki-gui
+++ b/puppy-unleashed/packages/didiwiki-0.5-5.1-pup1/usr/sbin/didiwiki-gui
@@ -5,7 +5,7 @@
 # GuestToo - Feb 7, 2005. Hacked a bit by BK -- 2005,2006.
 # Designed for use with Puppy Linux, www.puppylinux.com
 
-DIDI="/root/spot/didiwiki"
+DIDI="${HOME}/spot/didiwiki"
 
 if ! MSG=`which gxmessage`
 then
@@ -50,7 +50,7 @@ case $? in
 RETVAL1=0
 if [ "$DIDIGO" = "no" ];then
  su -c $DIDI - spot &
- #note, .didiwiki folder is created in /root/spot/.
+ #note, .didiwiki folder is created in ${HOME}/spot/.
  RETVAL1=$?
 fi
 if [ $RETVAL1 -eq 0 ];then
diff --git a/puppy-unleashed/packages/didiwiki-0.5-5.1-pup2/usr/sbin/didiwiki-gui b/puppy-unleashed/packages/didiwiki-0.5-5.1-pup2/usr/sbin/didiwiki-gui
index cb727c7..dcea416 100755
--- a/puppy-unleashed/packages/didiwiki-0.5-5.1-pup2/usr/sbin/didiwiki-gui
+++ b/puppy-unleashed/packages/didiwiki-0.5-5.1-pup2/usr/sbin/didiwiki-gui
@@ -4,13 +4,13 @@
 # ASSUMES A USER NAMED spot HAS BEEN SETUP
 # GuestToo - Feb 7, 2005. Hacked a bit by BK -- 2005,2006.
 # Designed for use with Puppy Linux, www.puppylinux.com
-#v411 dunno why, but no longer creates new pages, needs /root/spot/.didiwiki world-writable.
+#v411 dunno why, but no longer creates new pages, needs ${HOME}/spot/.didiwiki world-writable.
 
 #v411 bug workaround, needs to be fixed properly sometime...
-mkdir -p /root/spot/.didiwiki
-chmod 777 /root/spot/.didiwiki
+mkdir -p ${HOME}/spot/.didiwiki
+chmod 777 ${HOME}/spot/.didiwiki
 
-DIDI="/root/spot/didiwiki"
+DIDI="${HOME}/spot/didiwiki"
 
 if ! MSG=`which gxmessage`
 then
@@ -55,7 +55,7 @@ case $? in
 RETVAL1=0
 if [ "$DIDIGO" = "no" ];then
  su -c $DIDI - spot &
- #note, .didiwiki folder is created in /root/spot/.
+ #note, .didiwiki folder is created in ${HOME}/spot/.
  RETVAL1=$?
 fi
 if [ $RETVAL1 -eq 0 ];then
diff --git a/puppy-unleashed/packages/dotpuphandler-0.0.4-2/usr/sbin/dotpuprmtmpdir b/puppy-unleashed/packages/dotpuphandler-0.0.4-2/usr/sbin/dotpuprmtmpdir
index 4685bc0..09314e8 100755
--- a/puppy-unleashed/packages/dotpuphandler-0.0.4-2/usr/sbin/dotpuprmtmpdir
+++ b/puppy-unleashed/packages/dotpuphandler-0.0.4-2/usr/sbin/dotpuprmtmpdir
@@ -2,8 +2,8 @@
 
 # do not use rm -rf $DPDIR or rm -rf $1 without sanity checks
 
-rm -r /root/DotPupTmpDir #symlink?
+rm -r ${HOME}/DotPupTmpDir #symlink?
 rm -r /tmp/DotPupTmpDir
 
-rm -rf /root/DotPupTmpDir
+rm -rf ${HOME}/DotPupTmpDir
 rm -rf /tmp/DotPupTmpDir
diff --git a/puppy-unleashed/packages/glipper-0.89-1/usr/local/bin/glipper_shell b/puppy-unleashed/packages/glipper-0.89-1/usr/local/bin/glipper_shell
index f3ea078..25af0cd 100755
--- a/puppy-unleashed/packages/glipper-0.89-1/usr/local/bin/glipper_shell
+++ b/puppy-unleashed/packages/glipper-0.89-1/usr/local/bin/glipper_shell
@@ -11,14 +11,14 @@ it will be terminated now and will not be started in the future." 0 0
 RETVAL=$?
 
 if [ $RETVAL -eq 0 ];then
- touch /root/.glipper_on
+ touch ${HOME}/.glipper_on
  PSRUN="`ps`"
  [ "`echo "$PSRUN" | grep -v 'glipper_shell' | grep 'glipper'`" = "" ] && glipper &
  exit
 fi
 
 if [ $RETVAL -eq 1 ];then
- rm -f /root/.glipper_on
+ rm -f ${HOME}/.glipper_on
  killall glipper
  exit
 fi
diff --git a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/HotPup.sh b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/HotPup.sh
index 12e9efe..aeaf57f 100755
--- a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/HotPup.sh
+++ b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/HotPup.sh
@@ -36,7 +36,7 @@ APPDIR="`dirname $0`"
 [ "$APPDIR" = "." ] && APPDIR="`pwd`"
 # files used
 FSTAB="/etc/fstab"
-PINFILE="/root/Choices/ROX-Filer/PuppyPin"
+PINFILE="${HOME}/Choices/ROX-Filer/PuppyPin"
 #PINFILE=$HOME/.config/rox.sourceforge.net/ROX-Filer/pb_Default
 #####
 
diff --git a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device1 b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device1
index 661dcd6..fe3dd14 100755
--- a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device1
+++ b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device1
@@ -24,7 +24,7 @@ PUPPYVERSION="`cat /etc/puppyversion`" #v3.98
 APPDIR="`dirname $0`"
 [ "$APPDIR" = "." ] && APPDIR="`pwd`"
 # files used
-PINFILE=/root/Choices/ROX-Filer/PuppyPin
+PINFILE=${HOME}/Choices/ROX-Filer/PuppyPin
 #PINFILE=$HOME/.config/rox.sourceforge.net/ROX-Filer/pb_Default
 FSTAB=/etc/fstab
 
diff --git a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device2 b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device2
index 318ec60..913d42c 100755
--- a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device2
+++ b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device2
@@ -24,7 +24,7 @@ PUPPYVERSION="`cat /etc/puppyversion`" #v3.98
 APPDIR="`dirname $0`"
 [ "$APPDIR" = "." ] && APPDIR="`pwd`"
 # files used
-PINFILE=/root/Choices/ROX-Filer/PuppyPin
+PINFILE=${HOME}/Choices/ROX-Filer/PuppyPin
 #PINFILE=$HOME/.config/rox.sourceforge.net/ROX-Filer/pb_Default
 FSTAB=/etc/fstab
 
diff --git a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device3 b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device3
index 3a31342..145e514 100755
--- a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device3
+++ b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device3
@@ -24,7 +24,7 @@ PUPPYVERSION="`cat /etc/puppyversion`" #v3.98
 APPDIR="`dirname $0`"
 [ "$APPDIR" = "." ] && APPDIR="`pwd`"
 # files used
-PINFILE=/root/Choices/ROX-Filer/PuppyPin
+PINFILE=${HOME}/Choices/ROX-Filer/PuppyPin
 #PINFILE=$HOME/.config/rox.sourceforge.net/ROX-Filer/pb_Default
 FSTAB=/etc/fstab
 
diff --git a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device4 b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device4
index 14907da..e95bd34 100755
--- a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device4
+++ b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device4
@@ -24,7 +24,7 @@ PUPPYVERSION="`cat /etc/puppyversion`" #v3.98
 APPDIR="`dirname $0`"
 [ "$APPDIR" = "." ] && APPDIR="`pwd`"
 # files used
-PINFILE=/root/Choices/ROX-Filer/PuppyPin
+PINFILE=${HOME}/Choices/ROX-Filer/PuppyPin
 #PINFILE=$HOME/.config/rox.sourceforge.net/ROX-Filer/pb_Default
 FSTAB=/etc/fstab
 
diff --git a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device5 b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device5
index b572b56..1078dfb 100755
--- a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device5
+++ b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device5
@@ -24,7 +24,7 @@ PUPPYVERSION="`cat /etc/puppyversion`" #v3.98
 APPDIR="`dirname $0`"
 [ "$APPDIR" = "." ] && APPDIR="`pwd`"
 # files used
-PINFILE=/root/Choices/ROX-Filer/PuppyPin
+PINFILE=${HOME}/Choices/ROX-Filer/PuppyPin
 #PINFILE=$HOME/.config/rox.sourceforge.net/ROX-Filer/pb_Default
 FSTAB=/etc/fstab
 
diff --git a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device6 b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device6
index 4e7c188..19ded72 100755
--- a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device6
+++ b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device6
@@ -24,7 +24,7 @@ PUPPYVERSION="`cat /etc/puppyversion`" #v3.98
 APPDIR="`dirname $0`"
 [ "$APPDIR" = "." ] && APPDIR="`pwd`"
 # files used
-PINFILE=/root/Choices/ROX-Filer/PuppyPin
+PINFILE=${HOME}/Choices/ROX-Filer/PuppyPin
 #PINFILE=$HOME/.config/rox.sourceforge.net/ROX-Filer/pb_Default
 FSTAB=/etc/fstab
 
diff --git a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device7 b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device7
index e8c5b9b..bb40bdf 100755
--- a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device7
+++ b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device7
@@ -24,7 +24,7 @@ PUPPYVERSION="`cat /etc/puppyversion`" #v3.98
 APPDIR="`dirname $0`"
 [ "$APPDIR" = "." ] && APPDIR="`pwd`"
 # files used
-PINFILE=/root/Choices/ROX-Filer/PuppyPin
+PINFILE=${HOME}/Choices/ROX-Filer/PuppyPin
 #PINFILE=$HOME/.config/rox.sourceforge.net/ROX-Filer/pb_Default
 FSTAB=/etc/fstab
 
diff --git a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device8 b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device8
index 7b9d78a..a88695a 100755
--- a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device8
+++ b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/add_icons_for_device8
@@ -24,7 +24,7 @@ PUPPYVERSION="`cat /etc/puppyversion`" #v3.98
 APPDIR="`dirname $0`"
 [ "$APPDIR" = "." ] && APPDIR="`pwd`"
 # files used
-PINFILE=/root/Choices/ROX-Filer/PuppyPin
+PINFILE=${HOME}/Choices/ROX-Filer/PuppyPin
 #PINFILE=$HOME/.config/rox.sourceforge.net/ROX-Filer/pb_Default
 FSTAB=/etc/fstab
 
diff --git a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/remove_icons_for_device b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/remove_icons_for_device
index fac6359..d5b503b 100755
--- a/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/remove_icons_for_device
+++ b/puppy-unleashed/packages/hotpup-20080313-3/etc/HotPup/remove_icons_for_device
@@ -9,7 +9,7 @@
 ADEV="$1"
 
 ## files used:
-PINFILE=/root/Choices/ROX-Filer/PuppyPin
+PINFILE=${HOME}/Choices/ROX-Filer/PuppyPin
 #PINFILE=$HOME/.config/rox.sourceforge.net/ROX-Filer/pb_Default
 FSTAB=/etc/fstab
 
diff --git a/puppy-unleashed/packages/httpd-2.2.11-i386/usr/bin/apr-1-config b/puppy-unleashed/packages/httpd-2.2.11-i386/usr/bin/apr-1-config
index 6a18198..12669c2 100755
--- a/puppy-unleashed/packages/httpd-2.2.11-i386/usr/bin/apr-1-config
+++ b/puppy-unleashed/packages/httpd-2.2.11-i386/usr/bin/apr-1-config
@@ -39,8 +39,8 @@ LDFLAGS=""
 LIBS="-luuid -lrt -lcrypt  -lpthread -ldl"
 EXTRA_INCLUDES=""
 SHLIBPATH_VAR="LD_LIBRARY_PATH"
-APR_SOURCE_DIR="/root/httpd-2.2.11/srclib/apr"
-APR_BUILD_DIR="/root/httpd-2.2.11/srclib/apr"
+APR_SOURCE_DIR="${HOME}/httpd-2.2.11/srclib/apr"
+APR_BUILD_DIR="${HOME}/httpd-2.2.11/srclib/apr"
 APR_SO_EXT="lo"
 APR_LIB_TARGET="-rpath \$(libdir) \$(OBJECTS)"
 APR_LIBNAME="apr-${APR_MAJOR_VERSION}"
diff --git a/puppy-unleashed/packages/httpd-2.2.11-i386/usr/bin/apu-1-config b/puppy-unleashed/packages/httpd-2.2.11-i386/usr/bin/apu-1-config
index 30fb145..7f349b6 100755
--- a/puppy-unleashed/packages/httpd-2.2.11-i386/usr/bin/apu-1-config
+++ b/puppy-unleashed/packages/httpd-2.2.11-i386/usr/bin/apu-1-config
@@ -34,8 +34,8 @@ LDAP_LIBS=""
 
 APRUTIL_LIBNAME="aprutil-${APRUTIL_MAJOR_VERSION}"
 
-APU_SOURCE_DIR="/root/httpd-2.2.11/srclib/apr-util"
-APU_BUILD_DIR="/root/httpd-2.2.11/srclib/apr-util"
+APU_SOURCE_DIR="${HOME}/httpd-2.2.11/srclib/apr-util"
+APU_BUILD_DIR="${HOME}/httpd-2.2.11/srclib/apr-util"
 APR_XML_EXPAT_OLD="@APR_XML_EXPAT_OLD@"
 APU_DB_VERSION="0"
 
diff --git a/puppy-unleashed/packages/httpd-2.2.11-i386/usr/build/libtool b/puppy-unleashed/packages/httpd-2.2.11-i386/usr/build/libtool
index b3c6dc0..c26a33f 100755
--- a/puppy-unleashed/packages/httpd-2.2.11-i386/usr/build/libtool
+++ b/puppy-unleashed/packages/httpd-2.2.11-i386/usr/build/libtool
@@ -332,7 +332,7 @@ link_all_deplibs=unknown
 sys_lib_search_path_spec="/usr/lib/gcc/i486-t2-linux-gnu/4.2.2 /usr/i486-t2-linux-gnu/lib /usr/lib /lib"
 
 # Run-time system search path for libraries
-sys_lib_dlsearch_path_spec="/lib /usr/lib /lib /usr/lib /usr/X11R7/lib /opt/qt4/lib /opt/mozilla.org/lib /opt/samba/lib /root/my-applications/lib "
+sys_lib_dlsearch_path_spec="/lib /usr/lib /lib /usr/lib /usr/X11R7/lib /opt/qt4/lib /opt/mozilla.org/lib /opt/samba/lib ${HOME}/my-applications/lib "
 
 # Fix the shell variable $srcfile for the compiler.
 fix_srcfile_path=""
@@ -7597,7 +7597,7 @@ link_all_deplibs=unknown
 sys_lib_search_path_spec="/usr/lib/gcc/i486-t2-linux-gnu/4.2.2 /usr/i486-t2-linux-gnu/lib /usr/lib /lib"
 
 # Run-time system search path for libraries
-sys_lib_dlsearch_path_spec="/lib /usr/lib /lib /usr/lib /usr/X11R7/lib /opt/qt4/lib /opt/mozilla.org/lib /opt/samba/lib /root/my-applications/lib "
+sys_lib_dlsearch_path_spec="/lib /usr/lib /lib /usr/lib /usr/X11R7/lib /opt/qt4/lib /opt/mozilla.org/lib /opt/samba/lib ${HOME}/my-applications/lib "
 
 # Fix the shell variable $srcfile for the compiler.
 fix_srcfile_path=""
diff --git a/puppy-unleashed/packages/icewm-402-v9/usr/share/icewm/startup b/puppy-unleashed/packages/icewm-402-v9/usr/share/icewm/startup
index dd437b8..1638f7f 100755
--- a/puppy-unleashed/packages/icewm-402-v9/usr/share/icewm/startup
+++ b/puppy-unleashed/packages/icewm-402-v9/usr/share/icewm/startup
@@ -12,8 +12,8 @@ killall parcellite
 sleep 2 && /usr/bin/parcellite &
 
 killall freememapplet-tray
-sleep 7 && /root/my-applications/freememapplet_tray_puppy215ce/freememapplet-tray &
+sleep 7 && ${HOME}/my-applications/freememapplet_tray_puppy215ce/freememapplet-tray &
 
 killall blinky
-sleep 4 && /root/my-applications/blinky-0.8-icewm/src/blinky -bg "#000000" &
-#sleep 2 && /root/my-applications/blinky-0.8-icewm/src/blinky -bg "#49437a" &
+sleep 4 && ${HOME}/my-applications/blinky-0.8-icewm/src/blinky -bg "#000000" &
+#sleep 2 && ${HOME}/my-applications/blinky-0.8-icewm/src/blinky -bg "#49437a" &
